Loading...
Searching...
No Matches
Solvation methods
Molecular Modeling

## Classes

class | BALL::ClaverieParameter
class | BALL::ElectrostaticPotentialCalculator
class | BALL::Pair6_12InteractionEnergyProcessor
class | BALL::Pair6_12RDFIntegrator
class | BALL::PairExpInteractionEnergyProcessor
class | BALL::PairExpRDFIntegrator
class | BALL::PCMCavFreeEnergyProcessor
class | BALL::PierottiCavFreeEnergyProcessor
class | BALL::FDPB
class | BALL::ReissCavFreeEnergyProcessor
class | BALL::SolventAtomDescriptor
class | BALL::SolventDescriptor
class | BALL::SolventParameter
class | BALL::UhligCavFreeEnergyProcessor

## Functions

BALL_EXPORT TRegularData3D< char > * | BALL::calculateSESGrid (const Vector3 &lower, const Vector3 &upper, float spacing, const System &system, float probe_radius)
BALL_EXPORT TRegularData3D< char > * | BALL::calculateSASGrid (const Vector3 &lower, const Vector3 &upper, float spacing, const System &system, float probe_radius)
BALL_EXPORT double | BALL::calculateOoiEnergy (AtomContainer &atoms)

## Detailed Description

This chapter contains all relevant information on the use of BALL solvation methods.

## Function Documentation

## calculateOoiEnergy()

BALL_EXPORT double BALL::calculateOoiEnergy | ( | AtomContainer & | atoms | ) |

Calculate the solvation energy after Ooi et al. This function computes the solvation energy using the empirical surface model proposed by Ooi et al.(T. Ooi, M. Oobatake, G. Nemethy, H. A. Scheraga: Accessible surface areas as a measure off the thermodynamic parameters of hydration of peptides, Proc. Natl. Acad. Sci. USA, Vol. 84 (1987), pp. 3086-3090).

The method is parameterized for proteins only. Calling the function with different structures probably yields results of arbitrary meaninglessness.

The energy is returned in units of kJ/mol. Unparametrized atoms are simply ignored, which might lead to unreasonable values.

  Files:

types and parameters are taken from data/solvation/Ooi.ini

## calculateSASGrid()

BALL_EXPORT TRegularData3D< char > * BALL::calculateSASGrid | ( | const Vector3 & | lower,
|  | const Vector3 & | upper,
|  | float | spacing,
|  | const System & | system,
|  | float | probe_radius )

calculateSASGrid

## calculateSESGrid()

BALL_EXPORT TRegularData3D< char > * BALL::calculateSESGrid | ( | const Vector3 & | lower,
|  | const Vector3 & | upper,
|  | float | spacing,
|  | const System & | system,
|  | float | probe_radius )

calculateSESGrid